Bug 963922 - SELinux is preventing /usr/bin/abrt-applet from 'write' accesses on the directory ccpp-2013-03-31-17:00:20-25494.
SELinux is preventing /usr/bin/abrt-applet from 'write' accesses on the direc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9112713482bf3ee59e8cc1f0f50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:55 EDT by Casey Dahlin
Modified: 2014-06-18 04:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-95.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 04:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2013-05-16 14:55:50 EDT
Description of problem:
Just logged in to my GNOME 3 desktop
SELinux is preventing /usr/bin/abrt-applet from 'write' accesses on the directory ccpp-2013-03-31-17:00:20-25494.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that abrt-applet should be allowed write access on the ccpp-2013-03-31-17:00:20-25494 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-applet /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Target Context                system_u:object_r:abrt_var_cache_t:s0
Target Objects                ccpp-2013-03-31-17:00:20-25494 [ dir ]
Source                        abrt-applet
Source Path                   /usr/bin/abrt-applet
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-gui-2.1.2-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-92.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-200.fc18.x86_64 #1 SMP Wed
                              May 1 19:44:27 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-05-16 14:54:08 EDT
Last Seen                     2013-05-16 14:54:08 EDT
Local ID                      40116f4b-2fc3-4d74-addf-9d8dd7fa2ad4

Raw Audit Messages
type=AVC msg=audit(1368730448.283:341): avc:  denied  { write } for  pid=1743 comm="abrt-applet" name="ccpp-2013-03-31-17:00:20-25494" dev="dm-1" ino=1847288 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=dir


type=SYSCALL msg=audit(1368730448.283:341): arch=x86_64 syscall=symlink success=no exit=EACCES a0=7fff63d4dd90 a1=7fff63d4dd10 a2=3d797477e2 a3=2d items=0 ppid=1482 pid=1743 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=abrt-applet exe=/usr/bin/abrt-applet subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)

Hash: abrt-applet,staff_t,abrt_var_cache_t,dir,write

audit2allow

#============= staff_t ==============
allow staff_t abrt_var_cache_t:dir write;

audit2allow -R
require {
	type staff_t;
}

#============= staff_t ==============
abrt_manage_cache(staff_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.11-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-17 02:45:25 EDT
The fix has been added to F19. Needs to be backported.
Comment 2 Miroslav Grepl 2013-05-17 02:46:15 EDT
commit eecbf9a1a5c696ffc67b40aae0af0e9eb41ef56d
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Thu May 16 07:37:54 2013 +0200

    Make gnome-abrt wokring with staff_t
Comment 3 Fedora Update System 2013-05-17 07:00:18 EDT
selinux-policy-3.11.1-95.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-95.fc18
Comment 4 Fedora Update System 2013-05-18 22:43:41 EDT
Package selinux-policy-3.11.1-95.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-95.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8591/selinux-policy-3.11.1-95.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-21 04:39:56 EDT
selinux-policy-3.11.1-95.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.